# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: perl-Time-HiRes
Version: 1.975.800
Release: 1
Summary: High resolution alarm, sleep, gettimeofday, interval timers
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: perl_5
Vendor: Jarkko Hietaniemi <jhi@iki.fi>
URL: unknown
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

Requires: perl(Carp)
Requires: perl(Config)
Requires: perl(Exporter)
Requires: perl(ExtUtils::MakeMaker)
Requires: perl(Test::More)
Requires: perl(XSLoader)
Requires: perl >= 5.006
Requires: perl(strict)
Epoch: 10
Provides: perl(Time::HiRes) = 1.975.800
%description
High resolution alarm, sleep, gettimeofday, interval timers

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/home/wbraswell/cpantofpm_tmp/package-cpan-build-9878fc5ea5c3ae17af9bc0a24c0113da1a07b93613ca18cf270310541fa2/cpan/lib/perl5/x86_64-linux-thread-multi/Time/HiRes.pm
/home/wbraswell/cpantofpm_tmp/package-cpan-build-9878fc5ea5c3ae17af9bc0a24c0113da1a07b93613ca18cf270310541fa2/cpan/lib/perl5/x86_64-linux-thread-multi/auto/Time/HiRes/HiRes.bs
/home/wbraswell/cpantofpm_tmp/package-cpan-build-9878fc5ea5c3ae17af9bc0a24c0113da1a07b93613ca18cf270310541fa2/cpan/lib/perl5/x86_64-linux-thread-multi/auto/Time/HiRes/HiRes.so

%changelog

