# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: pluto-polycc
Version: 0.11.4
Release: 1
Summary: no description given
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: unknown
Vendor: wbraswell@packages.rperl.org
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

%description
no description given

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/bin/c2p
/usr/local/bin/candl
/usr/local/bin/clan
/usr/local/bin/cloog
/usr/local/bin/disjoint_union_adj
/usr/local/bin/disjoint_union_sep
/usr/local/bin/ehrhart_lower_bound
/usr/local/bin/ehrhart_quick_apx
/usr/local/bin/ehrhart_ranking64
/usr/local/bin/ehrhart_union64
/usr/local/bin/ehrhart_upper_bound
/usr/local/bin/findv
/usr/local/bin/getversion.sh
/usr/local/bin/pip32
/usr/local/bin/pip64
/usr/local/bin/pipMP
/usr/local/bin/ploog
/usr/local/bin/plorc
/usr/local/bin/pluto
/usr/local/bin/plutune
/usr/local/bin/polycc
/usr/local/bin/pp64
/usr/local/bin/r2p
/usr/local/bin/testehrhart64
/usr/local/bin/vloog
/usr/local/lib/cloog-isl/cloog-isl-config.cmake
/usr/local/lib/isl/isl-config.cmake
/usr/local/lib/libcandl.a
/usr/local/lib/libcandl.la
/usr/local/lib/libcandl.so
/usr/local/lib/libcandl.so.0
/usr/local/lib/libcandl.so.0.0.0
/usr/local/lib/libclan.a
/usr/local/lib/libclan.la
/usr/local/lib/libclan.so
/usr/local/lib/libclan.so.0
/usr/local/lib/libclan.so.0.0.0
/usr/local/lib/libcloog-isl.a
/usr/local/lib/libcloog-isl.la
/usr/local/lib/libcloog-isl.so
/usr/local/lib/libcloog-isl.so.4
/usr/local/lib/libcloog-isl.so.4.0.0
/usr/local/lib/libisl.a
/usr/local/lib/libisl.la
/usr/local/lib/libisl.so
/usr/local/lib/libisl.so.10
/usr/local/lib/libisl.so.10.2.1
/usr/local/lib/libisl.so.10.2.1-gdb.py
/usr/local/lib/libosl.a
/usr/local/lib/libosl.la
/usr/local/lib/libosl.so
/usr/local/lib/libosl.so.0
/usr/local/lib/libosl.so.0.0.0
/usr/local/lib/libpiplib32.a
/usr/local/lib/libpiplib32.la
/usr/local/lib/libpiplib32.so
/usr/local/lib/libpiplib32.so.2
/usr/local/lib/libpiplib32.so.2.1.0
/usr/local/lib/libpiplib64.a
/usr/local/lib/libpiplib64.la
/usr/local/lib/libpiplib64.so
/usr/local/lib/libpiplib64.so.2
/usr/local/lib/libpiplib64.so.2.1.0
/usr/local/lib/libpiplibMP.a
/usr/local/lib/libpiplibMP.la
/usr/local/lib/libpiplibMP.so
/usr/local/lib/libpiplibMP.so.2
/usr/local/lib/libpiplibMP.so.2.1.0
/usr/local/lib/libpluto.a
/usr/local/lib/libpluto.la
/usr/local/lib/libpluto.so
/usr/local/lib/libpluto.so.0
/usr/local/lib/libpluto.so.0.0.0
/usr/local/lib/libpolylib64.a
/usr/local/lib/libpolylib64.la
/usr/local/lib/libpolylib64.so
/usr/local/lib/libpolylib64.so.8
/usr/local/lib/libpolylib64.so.8.1.0
/usr/local/lib/pkgconfig/cloog-isl.pc
/usr/local/lib/pkgconfig/isl.pc
/usr/local/lib/pkgconfig/polylib64.pc
/usr/local/share/info/candl.info
/usr/local/share/info/dir

%changelog

