# Hello packaging friend!
#
# If you find yourself using this 'fpm --edit' feature frequently, it is
# a sign that fpm is missing a feature! I welcome your feature requests!
# Please visit the following URL and ask for a feature that helps you never
# need to edit this file again! :)
#   https://github.com/jordansissel/fpm/issues
# ------------------------------------------------------------------------

# Disable the stupid stuff rpm distros include in the build process by default:
#   Disable any prep shell actions. replace them with simply 'true'
%define __spec_prep_post true
%define __spec_prep_pre true
#   Disable any build shell actions. replace them with simply 'true'
%define __spec_build_post true
%define __spec_build_pre true
#   Disable any install shell actions. replace them with simply 'true'
%define __spec_install_post true
%define __spec_install_pre true
#   Disable any clean shell actions. replace them with simply 'true'
%define __spec_clean_post true
%define __spec_clean_pre true
# Disable checking for unpackaged files ?
#%undefine __check_files

# Allow building noarch packages that contain binaries
%define _binaries_in_noarch_packages_terminate_build 0

# Use md5 file digest method. 
# The first macro is the one used in RPM v4.9.1.1
%define _binary_filedigest_algorithm 1
# This is the macro I find on OSX when Homebrew provides rpmbuild (rpm v5.4.14)
%define _build_binary_file_digest_algo 1

# Use gzip payload compression
%define _binary_payload w9.gzdio 


Name: pluto-polycc-dev
Version: 0.11.4
Release: 1
Summary: no description given
AutoReqProv: no
# Seems specifying BuildRoot is required on older rpmbuild (like on CentOS 5)
# fpm passes '--define buildroot ...' on the commandline, so just reuse that.
BuildRoot: %buildroot

Prefix: /

Group: default
License: unknown
Vendor: wbraswell@packages.rperl.org
URL: http://example.com/no-uri-given
Packager: William N. Braswell, Jr. <william.braswell@NOSPAM.autoparallel.com>

%description
no description given

%prep
# noop

%build
# noop

%install
# noop

%clean
# noop




%files
%defattr(-,root,root,-)

# Reject config files already listed or parent directories, then prefix files
# with "/", then make sure paths with spaces are quoted. I hate rpm so much.
/usr/local/include/candl/candl.h
/usr/local/include/candl/ddv.h
/usr/local/include/candl/dependence.h
/usr/local/include/candl/macros.h
/usr/local/include/candl/matrix.h
/usr/local/include/candl/options.h
/usr/local/include/candl/piplib-wrapper.h
/usr/local/include/candl/pruning.h
/usr/local/include/candl/scop.h
/usr/local/include/candl/statement.h
/usr/local/include/candl/util.h
/usr/local/include/candl/violation.h
/usr/local/include/clan/clan.h
/usr/local/include/clan/macros.h
/usr/local/include/clan/options.h
/usr/local/include/clan/relation.h
/usr/local/include/clan/relation_list.h
/usr/local/include/clan/scop.h
/usr/local/include/clan/statement.h
/usr/local/include/clan/symbol.h
/usr/local/include/clan/vector.h
/usr/local/include/cloog/block.h
/usr/local/include/cloog/clast.h
/usr/local/include/cloog/cloog.h
/usr/local/include/cloog/constraints.h
/usr/local/include/cloog/domain.h
/usr/local/include/cloog/input.h
/usr/local/include/cloog/int.h
/usr/local/include/cloog/isl/backend.h
/usr/local/include/cloog/isl/cloog.h
/usr/local/include/cloog/isl/constraintset.h
/usr/local/include/cloog/isl/domain.h
/usr/local/include/cloog/loop.h
/usr/local/include/cloog/matrix/constraintset.h
/usr/local/include/cloog/matrix.h
/usr/local/include/cloog/names.h
/usr/local/include/cloog/options.h
/usr/local/include/cloog/pprint.h
/usr/local/include/cloog/program.h
/usr/local/include/cloog/state.h
/usr/local/include/cloog/statement.h
/usr/local/include/cloog/stride.h
/usr/local/include/cloog/union_domain.h
/usr/local/include/cloog/util.h
/usr/local/include/cloog/version.h
/usr/local/include/isl/aff.h
/usr/local/include/isl/aff_int.h
/usr/local/include/isl/aff_type.h
/usr/local/include/isl/arg.h
/usr/local/include/isl/ast.h
/usr/local/include/isl/ast_build.h
/usr/local/include/isl/ast_int.h
/usr/local/include/isl/ast_type.h
/usr/local/include/isl/band.h
/usr/local/include/isl/config.h
/usr/local/include/isl/constraint.h
/usr/local/include/isl/constraint_int.h
/usr/local/include/isl/ctx.h
/usr/local/include/isl/dim.h
/usr/local/include/isl/flow.h
/usr/local/include/isl/hash.h
/usr/local/include/isl/hmap.h
/usr/local/include/isl/id.h
/usr/local/include/isl/id_to_ast_expr.h
/usr/local/include/isl/id_to_pw_aff.h
/usr/local/include/isl/ilp.h
/usr/local/include/isl/ilp_int.h
/usr/local/include/isl/int.h
/usr/local/include/isl/list.h
/usr/local/include/isl/local_space.h
/usr/local/include/isl/lp.h
/usr/local/include/isl/map.h
/usr/local/include/isl/map_int.h
/usr/local/include/isl/map_to_basic_set.h
/usr/local/include/isl/map_type.h
/usr/local/include/isl/mat.h
/usr/local/include/isl/mat_int.h
/usr/local/include/isl/multi.h
/usr/local/include/isl/obj.h
/usr/local/include/isl/options.h
/usr/local/include/isl/point.h
/usr/local/include/isl/point_int.h
/usr/local/include/isl/polynomial.h
/usr/local/include/isl/polynomial_int.h
/usr/local/include/isl/polynomial_type.h
/usr/local/include/isl/printer.h
/usr/local/include/isl/schedule.h
/usr/local/include/isl/set.h
/usr/local/include/isl/set_int.h
/usr/local/include/isl/set_type.h
/usr/local/include/isl/space.h
/usr/local/include/isl/stdint.h
/usr/local/include/isl/stream.h
/usr/local/include/isl/union_map.h
/usr/local/include/isl/union_map_int.h
/usr/local/include/isl/union_map_type.h
/usr/local/include/isl/union_set.h
/usr/local/include/isl/union_set_type.h
/usr/local/include/isl/val.h
/usr/local/include/isl/val_gmp.h
/usr/local/include/isl/val_int.h
/usr/local/include/isl/vec.h
/usr/local/include/isl/vec_int.h
/usr/local/include/isl/version.h
/usr/local/include/isl/vertices.h
/usr/local/include/osl/body.h
/usr/local/include/osl/extensions/arrays.h
/usr/local/include/osl/extensions/clay.h
/usr/local/include/osl/extensions/comment.h
/usr/local/include/osl/extensions/coordinates.h
/usr/local/include/osl/extensions/dependence.h
/usr/local/include/osl/extensions/extbody.h
/usr/local/include/osl/extensions/irregular.h
/usr/local/include/osl/extensions/loop.h
/usr/local/include/osl/extensions/null.h
/usr/local/include/osl/extensions/pluto_unroll.h
/usr/local/include/osl/extensions/scatnames.h
/usr/local/include/osl/extensions/symbols.h
/usr/local/include/osl/extensions/textual.h
/usr/local/include/osl/generic.h
/usr/local/include/osl/int.h
/usr/local/include/osl/interface.h
/usr/local/include/osl/macros.h
/usr/local/include/osl/names.h
/usr/local/include/osl/osl.h
/usr/local/include/osl/relation.h
/usr/local/include/osl/relation_list.h
/usr/local/include/osl/scop.h
/usr/local/include/osl/statement.h
/usr/local/include/osl/strings.h
/usr/local/include/osl/util.h
/usr/local/include/osl/vector.h
/usr/local/include/piplib/piplib.h
/usr/local/include/piplib/piplib32.h
/usr/local/include/piplib/piplib64.h
/usr/local/include/piplib/piplibMP.h
/usr/local/include/pluto/libpluto.h
/usr/local/include/polylib/Lattice.h
/usr/local/include/polylib/Matop.h
/usr/local/include/polylib/NormalForms.h
/usr/local/include/polylib/SolveDio.h
/usr/local/include/polylib/Zpolyhedron.h
/usr/local/include/polylib/alpha.h
/usr/local/include/polylib/arithmetic_errors.h
/usr/local/include/polylib/arithmetique.h
/usr/local/include/polylib/compress_parms.h
/usr/local/include/polylib/ehrhart.h
/usr/local/include/polylib/errormsg.h
/usr/local/include/polylib/eval_ehrhart.h
/usr/local/include/polylib/ext_ehrhart.h
/usr/local/include/polylib/homogenization.h
/usr/local/include/polylib/matrix.h
/usr/local/include/polylib/matrix_addon.h
/usr/local/include/polylib/matrix_permutations.h
/usr/local/include/polylib/param.h
/usr/local/include/polylib/polyhedron.h
/usr/local/include/polylib/polylib.h
/usr/local/include/polylib/polylib32.h
/usr/local/include/polylib/polylib64.h
/usr/local/include/polylib/polylibgmp.h
/usr/local/include/polylib/polyparam.h
/usr/local/include/polylib/ranking.h
/usr/local/include/polylib/types.h
/usr/local/include/polylib/vector.h

%changelog

